/*==========================================================================
**
**	psdb_io.h
**
**	PSDB IO functions
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**	Modification History:
**	ram	01/12/99 v1.0	Created
**
**==========================================================================
**
**	Notes:
**==========================================================================
*/

#ifndef PSDB_IO_H
#define PSDB_IO_H
#include <pdk_types.h>

typedef int rmapi_fd_t;

rmapi_fd_t psdb_io_open(char *dev, uint32_t flags);
int psdb_io_fd(rmapi_fd_t rfd);

#define PSDB_IO_NUM_FD 4096

#ifdef NOT
uint32_t psdb_io_close(rmapi_fd_t fd);
uint32_t psdb_io_send(rmapi_fd_t fd, pdk_psdb_rhdr_t *prp, int32_t read_flag);
uint32_t psdb_io_get(rmapi_fd_t fd, void *ptr, uint32_t len);
#endif

#endif /* PSDB_IO_H */
